<?php

function splash_admin_when() {
	$form['when'] = array(
		'#type' => 'fieldset',
		'#title' => t('Settings'),
	);
  $form['when']['splash_when_frequency'] = array(
	  '#type' => 'select',
	  '#title' => t('Display with frequency'),
	  '#default_value' => variable_get('splash_when_frequency', 'never'),
	  '#options' => array(
	  	'never'				=> t('Never (off)'),
		  'always'	=> t('Always'),
		  'once'		=> t('Once'),
		  'daily'		=> t('Daily'),
		  'weekly'	=> t('Weekly'),
		),
	  '#description' => t('How often should visitors see the splash page?'),
	);
	$form['when']['splash_when_cookie'] = array(
		'#type' => 'radios',
		'#title' => t('Display on next visit'),
		'#description' => t('Reset the name of the cookie to force the display of the splash on next visit.'),
		'#options' => array(
			0 => t('No'),
			1 => t('Yes'),
		),
		'#default_value' => variable_get('splash_when_cookie', 0),
	);

	return system_settings_form($form);
}

function splash_admin_what() {
  $form['splash_what']['splash_what_mode'] = array(
    '#type' => 'select',
    '#title' => t('Content mode'),
    '#options' => array(
    	'random' => t('Pick random path or URL from the list'),
    	'sequence' => t('Pick next path or URL from the list'),
    	'template' => t('Display entered text in the site template'),
    	'fullscreen' => t('Display entered text/HTML full screen'),
    ),
    '#default_value' => variable_get('splash_what_mode', 'random'),
    '#description' => t('Determines how the content field below will be used.'),
  );

  $form['splash_what']['splash_what_content'] = array(
    '#type' => 'textarea',
    '#title' => t('Content'),
    '#default_value' => variable_get('splash_what_content', ''),
    '#description' => t('Text to show or paths/URLs (one on each line) to use.'),
  );

  $form['splash_what']['splash_what_filter'] = filter_form(variable_get('splash_what_filter', ''), NULL, array('splash_what_filter'));

  return system_settings_form($form);
}

function splash_admin_how() {
	$options = array(
		'redirect' => t('Redirect'),
		'window' => t('Open in new window'),
		'thickbox' => t('Open in ThickBox'),
	);
  $form['splash_how']['splash_how_mode'] = array(
    '#type' => 'radios',
    '#required' => TRUE,
    '#title' => t('Display mode'),
    '#options' => $options,
    '#default_value' => variable_get('splash_how_mode', 'redirect'),
    '#description' => t('Redirect to the splash page, open it in a new window or in a fancy !thickbox.', array('!thickbox' => l(t('ThickBox'), 'http://jquery.com/demo/thickbox/'))),
  );
  $form['splash_how']['splash_how_size'] = array(
    '#type' => 'textfield',
    '#title' => t('Window/Box size'),
    '#default_value' => variable_get('splash_how_size', '400x300'),
    '#description' => t('Size (<code>WIDTHxHEIGHT</code>, e.g. 400x300) of the window or ThickBox.'),
  );

	return system_settings_form($form);
}
